# qline

qline provides one function: provide an editable input field to the user along with a prompt and initial data.

Unlike readline, editline, linenoise, etc. there is no history, no word jumping, or other builtin features. Just a simple, navigable, editable line of text with an optional prompt.

## Usage

``` go
var prompt string = "> "
var default string = "Edit Me"
var in string = qline.GetInput(prompt, default)
```

Arrow keys, backspace, delete, home, and end all work as one might expect. There are no CTRL keys, no vi mode, etc.

## License

qline is available under the MIT license. A copy of which is included as a comment in the sole source code file for this package.

